<?php
/**
 * CustomerGenderEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CustomersClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Customers
 *
 * Управление клиентами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\CustomersClient\Dto;
use \Ensi\CustomersClient\ObjectSerializer;

/**
 * CustomerGenderEnum Class Doc Comment
 *
 * @category Class
 * @description Доступные варианты пола:   * 1 - женский   * 2 - мужской
 * @package  Ensi\CustomersClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class CustomerGenderEnum
{
    
    /** женский */
    public const FEMALE = 1;
    
    /** мужской */
    public const MALE = 2;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::FEMALE,
            self::MALE,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::FEMALE => 'женский',
            self::MALE => 'мужской',
        ];
    }
}


